Subject: Re: [PATCH] netfilter: unregister nf hooks, matches and targets in the reverse order

From: Patrick McHardy <[email-masked]>
Date: Mon, 04 Oct 2010 22:26:33 +0200

Am 02.10.2010 01:57, schrieb Jan Engelhardt:
> On Sunday 2010-09-19 07:58, Changli Gao wrote:
> 
>> On Thu, Sep 16, 2010 at 1:32 AM, Patrick McHardy <[email-masked]> wrote:
>>> Am 02.09.2010 16:15, schrieb Changli Gao:
>>>> Since we register nf hooks, matches and targets in order, we'd better
>>>> unregister them in the reverse order.
>>>
>>> Why? Is there a specific bug you've noticed?
>>>
>>
>> No, there isn't any bug. I just think unregistering them in the
>> reverse order is more resonable, like the rollback when failing. And
>> the code patched generates less object:
> 
> I support this.

Yeah, it seems reasonable, although I don't like changing things
without a concrete reason. Anyways, applied, thanks everyone.